h28762
s 00002/00002/00055
d D 1.2 83/01/22 19:11:21 tes 2 1
c Modified for annnotate interface
e
s 00057/00000/00000
d D 1.1 83/01/20 11:14:56 tes 1 0
c date and time created 83/01/20 11:14:56 by tes
e
u
tes
mjb
U
t
T
I 1
subroutine qtext (row, col, string)
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: output alpha text at location row, col                 #
#                                                                      #
#     Input Parameters:                                                #
#            row - (integer) row to move cursor to                     #
#            col - (integer) column to move cursor to                  #
#            string - (byte) text string to output at row, col         #
#                                                                      #
#     Output Parameters:                                               #
#            none                                                      #
#                                                                      #
#     Routines Called:                                                 #
#            movcur - move alpha cursor to location row, col           #
#            gzesc - d/i interface to device driver escape functions   #
#                                                                      #
########################################################################
integer row, col
SHORTINT string(80)
 
integer contrl(4), ilen, intin(80), ptsin(2), idummy(1)

include(`mnucom')

   ilen = 0
   while (string(ilen+1) != 0) {
      ilen = ilen + 1
      intin(ilen) = string(ilen)
      } 

   if (mnumod == EXITxGRAPHICSxMODE) {   # check for ASCII mode

      call movcur (row, col)     # Move cursor to desired location

      contrl(1) = OUTPUTxCURSORxADDRESSABLExTEXT
      call gzesc (contrl, ilen, intin)
      }
   else {
      contrl(1) = 8
      contrl(2) = 1
      contrl(4) = ilen
D 2
      ptsin(1) = (col - 1)*409
      ptsin(2) = (24 - row)*1024
E 2
I 2
      ptsin(1) = (col - 1)*COLUMNxCELLxSIZE
      ptsin(2) = (24 - row)*ROWxCELLxSIZE
E 2
      call gzddop (contrl, intin, ptsin, idummy, idummy)
      }

   return
end
E 1
